import os
import sys
import record_CPA as RECORD
import serv_manager as svm

TAG = "ENC_128"
GROUP_SIZE = 100
NAME_TAG = "TS"

lower = int(sys.argv[1])
upper = int(sys.argv[2])
A_DATA = [""]*GROUP_SIZE
for set_n in range(lower, upper):
  print("============================================================================")
  set_tag = str(set_n).zfill(4)
  dirname = "Raw_"+NAME_TAG+"_"+set_tag
  print(("Set #"+set_tag))
  Keys = svm.Load(("keys/key_"+set_tag+".npy"))
  Nonces = svm.Load(("nonces/nonce_"+set_tag+".npy"))
  Plaintexts = svm.Load(("plaintexts/plaintext_"+set_tag+".npy"))
  Ciphertags = svm.Load(("ciphertags/ciphertag_"+set_tag+".npy"))
  os.system("md temp")
  while RECORD.Record(TAG, Keys, Nonces, A_DATA, Plaintexts, Ciphertags):
    os.system("rmdir /q/s temp")
    os.system("md temp")
    continue
  os.system(("ren temp "+dirname))

